<?php

/**
 * TechDivision\Import\Utils\Mappings\MapperInterface
 *
 * PHP version 7
 *
 * @author    Tim Wagner <t.wagner@techdivision.com>
 * @copyright 2020 TechDivision GmbH <info@techdivision.com>
 * @license   https://opensource.org/licenses/MIT
 * @link      https://github.com/techdivision/import
 * @link      http://www.techdivision.com
 */

namespace TechDivision\Import\Utils\Mappings;

/**
 * Mapping for mapper implementations.
 *
 * @author    Tim Wagner <t.wagner@techdivision.com>
 * @copyright 2020 TechDivision GmbH <info@techdivision.com>
 * @license   https://opensource.org/licenses/MIT
 * @link      https://github.com/techdivision/import
 * @link      http://www.techdivision.com
 */
interface MapperInterface
{

    /**
     * Map the passed value.
     *
     * @param string $value The value to map
     *
     * @return string The mapped value
     */
    public function map(string $value) : string;
}
